# Okteto Enterprise

Okteto Enterprise is a development platform for Kubernetes applications. Build better applications by developing and testing your code directly in your own Kubernetes infrastructure. Give your team the power of [Okteto Cloud](/docs/cloud), with the control and flexibility of running in your own infrastructure.

With Okteto Enterprise you and your team can:

- Get self-service access to your Kubernetes infrastructure. Forget about dealing with IAMs and account mappings and just log in with your email account to get your [kubeconfig](/docs/cloud/credentials).
- Automatically apply security policies, quotas, and access control to every user and deployment.
- Create [secure Kubernetes namespaces](/docs/cloud/namespaces) with one click.
- [Download kubectl credentials](/docs/cloud/credentials) to access your namespaces with `kubectl` or any other tool.
- Visualize your workloads in a Developer-focused Kubernetes dashboard.
- Deploy your applications [from Git repositories](/docs/cloud/deploy-from-git) or [Helm charts](/docs/cloud/deploy-from-helm).
- Get [automatic HTTPs endpoints](/docs/cloud/ssl) for your services.
- Configure [secrets](/docs/cloud/secrets) and prevent secure credentials from being stored in version control.
- Build, push, and redeploy your applications with [Okteto Push](/blog/okteto-push-code-to-kubernetes-in-seconds/).
- Develop directly in Okteto Cloud with the [Okteto CLI](https://github.com/okteto/okteto).

## Installation

Installation and configuration instructions are available at https://okteto.com/docs/enterprise/install/overview

# Support

[Reach out to us with](https://okteto.com/#talktous) your support questions. You can also find us [in the Kubernetes slack](https://slack.kubernetes.com).